#
# spec file for package susefirewall2-to-firewalld
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           susefirewall2-to-firewalld
Version:        0.0.4
Release:        2.10
Summary:        Basic SuSEfirewall2 to FirewallD migration script
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Other
URL:            https://github.com/openSUSE/susefirewall2-to-firewalld
Source:         https://github.com/openSUSE/%{name}/archive/%{name}-%{version}.tar.gz
# bsc#1170461
Patch0:         0001-Fix-ERROR-INVALID_PORT-when-sport-iptables-rules-are.patch
Requires:       firewalld
Requires:       iptables
Recommends:     SuSEfirewall2
BuildArch:      noarch

%description
This is a simple bash script aiming to provide a basic migration path from
SuSEfirewall2 to FirewallD.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0 -p1

%build

%install
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc README.md
%license COPYING
%{_sbindir}/susefirewall2-to-firewalld

%changelog
* Wed Apr 29 2020 matthias.gerstner@suse.com
- add 0001-Fix-ERROR-INVALID_PORT-when-sport-iptables-rules-are.patch: fix
  "INVALID_PORT" error message with certain SuSEfirewall2 configurations
  (bsc#1170461).
* Mon Nov 12 2018 Markos Chandras <mchandras@suse.de>
- Version bump to 0.0.4
  * Add input and forward zone to the known ones (bsc#1115001)
  * Stop guessing firewall service from port/proto
* Wed May 30 2018 mchandras@suse.de
- Version bump to 0.0.3
  * Do not try to handle unknown iptables chains
  * Handle source whitelisting (gh#openSUSE/susefirewall2-to-firewalld#2, bsc#1105157)
* Mon Mar 19 2018 mchandras@suse.de
- Version bump to 0.0.2
  * Handle migration when SF2 is absent (bsc#1084177)
  * Ensure that firewalld is enabled after migration
  * Print firewalld commands in debug mode
* Mon Apr  4 2016 mchandras@suse.de
- Fix Source URL
* Tue Mar 29 2016 mchandras@suse.de
- Initial commit for susefirewall2-to-firewalld-0.0.1
